# Expose glue job outputs

output "arn" {
  value = aws_glue_job.glue_job.arn
}

output "glue_job_policy_arn" {
  value = aws_iam_policy.glue-job-access-policy.arn
}

output "glue_job_events_policy_arn" {
  value = var.create_event_rule ? "" : join("", aws_iam_policy.events-policy.*.arn)
}

output "glue_connection_name" {
  description = "Catalog ID and name of the connection"
  value       = element(concat(aws_glue_connection.glue_connection.*.name, [""]), 0)
}
